@font-face {
  font-family: 'Roboto';
  font-weight: 400;
  font-style: normal;
  src: url('../webfonts/Roboto-Regular.ttf');
}
@font-face {
  font-family: 'Roboto';
  font-weight: 700;
  font-style: normal;
  src: url('../webfonts/Roboto-Bold.ttf');
}
* {
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
}
input {
  -moz-appearance: revert;
  -webkit-appearance: revert;
  appearance: revert;
}
body {
  min-width: 900px;
  min-height: 500px;
  height: 100vh;
  /* padding-top: 70px; */
  padding-bottom: 70px;
  font-family: 'Roboto';
  font-size: 14px;
}
a {
  cursor: pointer;
}
a,
button {
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  outline: 0 !important;
  border: 0;
}
a:focus,
button:focus {
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  outline: 0 !important;
}
hr {
  border-top: 1px solid #b7b7b7;
}
input {
  border: 1px solid;
}
/* select {
  background: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100' height='100' fill='%238C98F2'><polygon points='0,0 100,0 50,50'/></svg>") no-repeat;
  background-size: 12px;
  background-position: calc(100% - 10px) 60%;
  background-repeat: no-repeat;
  background-color: #000000FF;
} */
.fa-viber {
  color: #b100b1;
}
.b-top {
  border-top: 1px solid #9d9d9d;
}
.b-bottom {
  border-bottom: 1px solid #9d9d9d;
}
.glyphicon-remove {
  color: red;
}
div#main-navbar {
  width: 100%;
  margin-bottom: 10px;
}
.navbar-nav a {
  display: flex !important;
  align-items: center;
  -between;
}
.navbar-nav-btn-name {
  margin-left: 5px;
}
.navbar-default .navbar-nav>.active>a, .navbar-default .navbar-nav>.active>a:focus, .navbar-default .navbar-nav>.active>a:hover {
  color: #fff !important;
  background-color: #337ab7;
  border-radius: 10px;
  box-shadow: 0px 0px 4px 0px black;
  margin: 5px 5px;
  padding: 10px 11px;
}
.nav-tabs>li.active>a, .nav-tabs>li.active>a:focus, .nav-tabs>li.active>a:hover {
  color: #fff !important;
  cursor: default;
  border: 1px solid #ddd;
  text-shadow: 0 0 3px black;
  border-bottom-color: transparent;
  background: linear-gradient(0deg, #337ab7b5 25%, #337ab7 100%);
}
.work-status-btn {
    display: flex;
    flex-direction: row;
    width: 115px;
    align-items: center;
    justify-content: space-around;
    margin: 0 10px;
    padding: 0 5px;
    border-radius: 5px;
    font-size: 14px;
    cursor: pointer;
}
.work-status-btn i.fa-spin {
  color: #fff !important;
  font-size: 2em;
  padding: 5px 0;
}
.work-status-btn-icon i {
    font-size: 2em;
}
.work-status-btn-text{
  font-size: 14px;
  color: #ddd;
}
.work-status-loading {
  display: flex;
  width: 115px;
  align-items: center;
  justify-content: space-around;
  margin: 0 10px;
  padding: 5px 5px;
  border-radius: 5px;
  background-color: #b66e00;
}
.work-status-loading i{
  font-size: 2em;
}
#work-status-on{ background-color: #007b47; }
#work-status-on i {color: #7FFFD3; }
#work-status-off{ background-color: #888; }
#work-status-off i {color: #ddd; }
#main {
  padding-bottom: 70px;
}
.tab-buttons {
  display: inline-flex;
  padding-top: 10px;
}
.tab-buttons button,
.tab-buttons form {
  margin-left: 5px;
}
.label-alt {
  padding: 7px 7px 0px 0px;
}
.username {
  padding-top: 7px;
  padding-left: 5px;
}
.search {
  position: relative;
}
.btn {
  /* text-shadow: 0 0 3px black; */
}
.btn-info {
  color: #fff !important;
  background-color: #3f9ab5;
  border-color: #46b8da;
}
.btn-secondary {
  border: 1px solid #ccc;
  /* border-left: 0; */
}

table#description_table {
  font: 200 16px Play !important;
  width: 100%;
}
table#description_table td {
  border: 1px solid #9e9e9e;
}
table#description_table p {
  font: 200 16px Play !important;
}
#client_live_result,
#client_orders_result,
#clients_liveresult {
  margin-left: 4px;
  border: 1px #ccc solid;
  border-top-width: 0;
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
  display: none;
  z-index: 999;
  position: absolute;
  background: #fdfdfd;
}

ul#client_live_result,
ul#client_orders_result,
ul#clients_liveresult {
  margin-top: -15px;
  margin-bottom: 0px;
}

ul#client_live_result li,
ul#client_orders_result li,
ul#clients_liveresult li {
  list-style: none;
  padding: 5px 10px;
  margin: 0 0 0 -40px;
  color: #006a99;
  border-bottom: 1px #ccc solid;
  cursor: pointer;
  transition: 0.3s;
}

ul#client_live_result li:hover,
ul#client_orders_result li:hover,
ul#clients_liveresult li:hover {
  background: #ebebeb;
}

/* Стиль для активного элемента (навигация клавишами) */
#client_live_result .liveresult.active,
#client_orders_result .liveresult.active,
#clients_liveresult .liveresult.active {
  background-color: #006a99; /* Ваш цвет из проекта */
  color: #fff;
}

#new_client_info {
  display: none;
}
#auth_back {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  width: 100vw;
  /* margin-top: -70px;
  margin-bottom: -70px; */
  background: #888888;
}
#auth_block {
  color: #ffffff;
}
#auth_block input {
  font-size: 1.5em;
}
form#auth .btn {
  width: 100%;
}
#orders .nav {
  /*margin-bottom: 15px;*/
}
#orders .input-group {
  /* max-width: 300px; */
}
#orders #calc #result_search {
  margin-left: 15px;
  margin-right: 15px;
}

#result_search .overflow {
  /* max-height: 600px; */
  /* overflow-y: auto; */
}
.td-prod-name {
  padding-top: 10px !important;
}
#result_search input.find-product-quantity {
  max-width: 100px;
  text-align: center;
  font-size: 1.5em;
}
.find-product-name {
  font: 800 1.2em Play;
}
.find-product-name small{
  font: 200 0.8em Play;
  color: #808080;
}
.btn-order-add {
  font: 200 15px Play;
  padding: 1px 15px;
}
#orders #form-search-product {
  display: inline-flex;
  
}
#form-search-product button {
  margin-left: 0px;
}

.btn-group-search-products-filter .btn[data-filter=via] {
  background-color: #00abc1;
  color: #000;
}

.btn-group-search-products-filter .btn[data-filter=sec] {
  background-color: #fdd41a; 
  color: #000;
}

#orders .currency-form,
.client-form {
  display: inline-flex;
  /*max-width: 330px;*/
}
#orders #input-order-usd-cur {
  max-width: 75px;
}
#input-usd-cur {
  /* max-width: 100px; */
}
.order-cash-stats {
  padding: 4px 8px;
  border-radius: 10px;
  white-space: nowrap;
  line-height: 35px;
  margin-left: 10px;
  font-size: 0.85em;
}
#orders table.result {
  margin-top: 10px;
  /*width: 100%*/
}
#orders #result_search tr:hover {
  background: #0098da36;
}
#table-orders td {
  text-align: center;
}
#table-orders tr td:first-child {
  text-align: left;
}

.table-orders-td-client {
  padding: 15px 5px;
  max-width: 250px;
}
.btn-viber {
  background-color: #0000;
  border: 1px solid #9b33be;
  color: #9b33be;
  font-size: inherit;
  font-weight: normal;
  line-height: 0.8;
}
#orders .btn-viber .fa-viber {
  /*color: #ffffff;*/
}
.table-orders-td-status {
  
}
.table-orders-badge-b2b {
  margin-top: 15%;
  color: #fff !important;
  text-shadow: 0 0 2px black;
  background: #00799d;
  box-shadow: 0px 0px 5px 0px #000;
}
.table-orders-order-prices div {
    display: flex;
    flex-direction: column;
}
.table-orders-order-exc {
    margin: 2px 0;
}
.table-orders-td-usd,
.table-orders-td-uah {
  font-size: inherit;
  font-weight: normal;
  line-height: 1.4;
  font-size: 1em;
  font-weight: 700;
  text-shadow: 0 0 3px black;
}
.table-orders-td-usd {
    background-color: #45a245;
}
.table-orders-td-usd a {
  color: #fff !important;
}
.table-orders-td-uah {
  background-color: #ce4d4a;
}
.table-orders-td-uah a {
  color: #fff !important;
}
.table-orders-td-note,
.table-orders-td-delivery {
  width: 375px;
}
.table-orders-td-note {
    position: relative;
}
.edit_order_note {
  width: 25px; 
  height: 25px; 
  position: absolute;
  top: 5px;
  left: 5px;
  cursor: pointer;
}
@media (max-width:991px) {
  .edit_order_note {
    position: initial;
    width:100%;
    margin: 10px 0;}
}
.order-create-date {
  color: #00000061;
}
#orders td .btn-order-add:hover {
  background: #13ab2754;
}
span.usd,
span.uah {
  font-size: 1.3em;
}
#orders table.result td,
th {
  padding: 0px 5px;
}
#orders table.result th {
  text-align: center;
}
/*
#orders table.result td {
  border-top: 1px solid #9d9d9d;
}
*/
#orders .prod-img {
  min-height: 100px;
  max-width: 150px;
  max-height: 150px;
  margin: 5px;
  padding: 5px;
}

/*.orders-totals td {
  padding: 5px 10px;
}
.orders-totals tr:nth-child(even) {
  background-color: #d9d9d9;
}*/

.badge-success{background-color: #4cae4c !important;}
.badge-warning{background-color: #c9302c !important;}
#total_avg_exc {
    text-align: center;
}
.preorder_table td {
  padding: 10px;
}
.preorder_table input {
  text-align: center;
}
.preorder-product-exc {
    font-weight: 700;
}
.preorder-product-quantity {
  max-width: 85px;
}
.preorder-product-exc,
.preorder-product-price-usd,
.preorder-product-price-uah {
  min-width: 80px;
  max-width: 150px;
}
.preorder_table .td-prod-name {
  max-width: 300px;
}
.current-order-product-quantity {
  text-align: center;
}

/*  ВСЕ ЗАКАЗЫ */
#return-orders {
  color: #000000;
}

#all_orders .buttons .col-md-2,
#all_orders .buttons .col-md-3,
#all_orders .buttons .col-md-4,
#all_orders .buttons .col-md-5,
#all_orders .buttons .col-md-6 {
  padding-right: 0px;
}

#all_orders .date .form-control {
  padding: 6px 6px;
}

#form-orders-search .form-group,
#form-clients-search .form-group {
  padding-right: 3px;
}
#form-orders-search select[name="manager_id"] {
  max-width: 100px;
}

#form-orders-search #client_orders_search,
#form-clients-search #clients_livesearch, #product_search {
  width: 350px;
}
@media only screen and (max-width: 992px) {
  #form-orders-search #client_orders_search,
  #form-clients-search #clients_livesearch, #product_search {
    width: 300px;
  }
}

#form-orders-search ul#client_live_result,
#form-orders-search ul#client_orders_result,
#form-clients-search ul#clients_liveresult,
#customers ul#clients_liveresult {
  margin-top: 0px;
  margin-bottom: 0px;
}

.close_livesearch {
  color: #006ab3 !important;
  font-weight: bold;
  text-decoration: underline;
}

#form-orders-search input[name="date1"] {
  max-width: 96px;
}
#form-orders-search input[name="date2"] {
  max-width: 96px;
}

.orders-change-date-to-now {
  color: #000000;
}

#view_orders, #orders-funcs, #orders-clear {
  margin: 0px 10px;
  width: 120px;
}

#view_orders i, #orders-funcs i, #orders-clear i {
  padding: 0 5px;
}

table#table-orders th {
  text-align: center;
  border: 0 !important;
}

#table-orders .fa-check {
  color: #32cd32;
  -webkit-text-stroke: 1px black;
}

#table-orders .fa-times {
  color: #ff4500;
  -webkit-text-stroke: 1px black;
}

.tr-1 {
  background-color: #eaeaea;
}
.tr-2 {
  background-color: #ffc182;
}
.tr-3 {
  background-color: #c1efd1;
}
.tr-4 {
  background-color: #e29696;
}
.tr-5 {
  background-color: #ff9270;
}
.tr-6 {
  background-color: #feff22;
}
.tr-7 {
  background-color: #00bcd4;
}
.tr-9 {
  background-color: #52ded7;
}
.tr-10 {
  background-color: #e9c5ff;
}

.tr-11, .tr-12, .tr-13, .tr-14 {
  background-color: #70ebff;
}
.tr-15 {
  background-color: #f0e68c;
}
.tr-16 {
  background-color: #d7cfe3;
}


table.order-cart {
  margin-top: 10px;
}
table.order-cart tr:nth-child(even) {
  background-color: #0098da36;
}
#allcur .order-cart tr:hover {
  background-color: green;
  color: white;
}
table#table-orders .details-for-order {
  /*background-color: #FFFFFF !important;
  box-shadow: 0px -1px 15px #0400ff;*/
}
.order-details-btns .btn {
  margin-top: 5px;
  color: #ffffff !important;
}
table#table-orders td {
  padding: 5px;
  border: 1px solid #808080;
}
table#table-orders td a {
  color: #000000;
}
a.order-status-edit {
    display: block;
    margin: 0 20px;
}
table#table-orders .tr-view-details {
  /*background-color: #65c331 !important;*/
  box-shadow: 0px -1px 15px #000000;
}
table#customers_statement td {
  padding: 5px;
  border: 1px solid #808080;
}
.statement-order-title {
  /*background-color: #c1c1c1;*/
}
.serials_pname {
  font-size: 16px;
  color: #0082bb;
}
/* НОВАЯ ПОЧТА */
#np .tab-pane {
  padding: 7px;
  /*border-left: 1px solid #ddd;
  border-right: 1px solid #ddd;
  border-bottom: 1px solid #ddd;*/
  margin-bottom: 30px;
}
#np .calendar {
  display: inline-flex;
  margin-top: 15px;
}
#np .calendar .btn {
  margin-left: 7px;
  background: #0098da;
}
#np .calendar .input-group {
  width: 150px;
}

#np .btn-viber {
  color: #9b33be;
  border: 0 !important;
}
td.delivered {
  background: #adff2f3d;
}
.table_result th {
  text-align: center;
  border: 0 !important;
}
.table_result td {
  padding: 5px;
  border: 1px solid #808080;
}
.table_result tr:nth-child(even) {
  background-color: #0098da36;
}
.table_result tr.danger {
  background-color: #ff6565 !important;
}
.table_result tr.warning {
  background-color: #ff8800 !important;
}
#np-tracking .input-group {
  max-width: 300px;
}

#modal-info-text table.np-modal-order-cart {
  width: 100%;
  font-size: 16px;
}
#modal-info-text table.np-modal-order-cart th {
  padding: 0;
}
#modal-info-text table.np-modal-order-cart tr:nth-child(even) {
  background-color: #0098da36;
}

#quests .input-group {
  max-width: 350px;
}
#quests .nav {
  margin-bottom: 15px;
}
table#landing_requests {
  margin-bottom: 50px;
}
table#landing_requests a {
  color: #000000;
}
table#landing_requests th:hover {
  background: initial;
}
table#landing_requests tr:hover {
  background: #0098da36;
}
table#landing_requests td {
  padding: 10px 5px;
  border: 1px solid #e8e8e8;
  border-top: 2px solid;
  max-width: 300px;
  overflow-wrap: break-word;
}
table#landing_requests td.td_date {
  width: 70px;
}
table#landing_requests td.td_name {
  min-width: 110px;
  max-width: 150px;
}
table#landing_requests td.td_phone {
  white-space: nowrap;
}
table#landing_requests td.td_note {
  max-width: 250px;
}

table#landing_requests .tr-1 {
  background-color: #fff174;
}
table#landing_requests .tr-2 {
  background-color: #ffffff;
}
table#landing_requests .tr-3 {
  background-color: #e6c1c1;
}
table#landing_requests .tr-4 {
  background-color: #ffaf54;
}

table#landing_requests .exist_client_manager_name {
  background-color: #2196F3;
  color: #fff;
  padding: 3px 7px;
  border-radius: 3px;
}

/* #form_order_info */
/* .required {
  border-color: #d68e8e;
  box-shadow: 0 0 2px 1px #ffa2a2;
}
.validated {
  border-color: transparent !important;;
  box-shadow: 0 0 2px 1px #498a51 !important;
} */

/* 
Касса .tab-pane #cash #tranx
*/
.btn-highlighted {
  filter: hue-rotate(225deg);
}

/* Сервисы */
#table-services {
  width: auto;
}
#services td {
  position: relative;
}
#services #services_view input {
  border: 0;
  outline: 0;
  background: transparent;
}
#services .td_save {
  min-width: 80px;
}

/* Отчеты */



/*
.service_datetimepicker .input-group-addon{
  border: 0;
  background: none;
  border-radius: 0;
  cursor: pointer;
  padding: 0;
}*/

.btn-service-save {
  background: none;
  color: #03ab00;
  font-size: 2.2em;
}
.btn-service-org {
  background: none;
  color: #ef740a;
  font-size: 2.2em;
}
#table-services textarea {
  max-width: 250px;
  resize: none;
  outline: none;
  border: 0;
  background: none;
}

/* Стили модального окна  */
#modal-info {
  font-size: 20px;
}

#modal-info textarea {
  min-width: 100%;
  max-width: 100%;
}
p#modal-info-text p.modal-title {
  font-size: 25px;
  padding-bottom: 15px;
}
p#modal-info-text .fa-exclamation-circle,
p#modal-info-text .fa-question-circle {
  color: #ff4500;
  font-size: 120%;
}
p#modal-info-text .fa-check-circle {
  color: #32cd32;
  font-size: 120%;
}

#modal-info-text .form-group {
  font-size: 14px;
}

/* Material Switch */

.switch-currency-calc {
  display: inline-flex;
  margin-left: 15px;
  margin-top: 7px;
}
.switch-currency-calc span {
  cursor: pointer;
  user-select: none;
}
.material-switch {
  margin: 0 8px;
}
.material-switch > input[type="checkbox"] {
  display: none;
}
.material-switch > label {
  cursor: pointer;
  height: 0px;
  position: relative;
  width: 40px;
}
.material-switch > label::before {
  background: rgb(0, 0, 0);
  box-shadow: inset 0px 0px 10px rgba(0, 0, 0, 0.5);
  border-radius: 8px;
  content: "";
  height: 16px;
  margin-top: -8px;
  position: absolute;
  opacity: 0.3;
  transition: all 0.4s ease-in-out;
  width: 40px;
}
.material-switch > label::after {
  background: #5cb85c;
  border-radius: 16px;
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
  content: "";
  height: 24px;
  left: -4px;
  margin-top: -8px;
  position: absolute;
  top: -4px;
  transition: all 0.3s ease-in-out;
  width: 24px;
}
.material-switch > input[type="checkbox"]:checked + label::before {
  background: inherit;
  opacity: 0.5;
}
.material-switch > input[type="checkbox"]:checked + label::after {
  background: #d44646;
  left: 20px;
}

@media only screen and (max-width: 992px) {
  .navbar-brand {
    display: none;
  }
  .navbar-nav-btn-name{
    /* display: none; */
  }
  #main-navbar .fal {
    font-size: 30px;
  }
  /* #main-navbar .navbar-nav>li>a {
    padding-top: 10px;
    padding-bottom: 10px;
  } */
}

/*Animations*/

.blink {
  animation: blinker 1s linear infinite;
}

@keyframes blinker {
  50% {
    opacity: 0;
  }
}

.click_animation {
  animation: effect_dylan 0.3s ease-out;
}
@keyframes effect_dylan {
  50% {
    transform: scale(1.5, 1.5);
    opacity: 0;
  }
  99% {
    transform: scale(0.001, 0.001);
    opacity: 0;
  }
  100% {
    transform: scale(0.001, 0.001);
    opacity: 1;
  }
}
